/**
 *  Copyright (c) Members of the EGEE Collaboration. 2004.
 *  See http://www.eu-egee.org/partners/ for details on the copyright
 *  holders.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 *  GLite Data Transfer Agents: SurlPair Class
 *
 *  Authors: Zsolt Molnar <zsolt.molnar@cern.ch - http://www.zsoltmolnar.hu>
 *  Version info: $Id: SurlPair.h,v 1.1 2009/07/02 15:02:09 molnarzs Exp $
 *  Release: $Name:  $
 */

#ifndef GLITE_DATA_TRANSFER_URL_COPY_URL_SURLPAIR_H_
#define GLITE_DATA_TRANSFER_URL_COPY_URL_SURLPAIR_H_

namespace glite   {
namespace data    {
namespace transfer{
namespace urlcopy {
namespace details {

/**
 * Information related to a source/destination SURL pair. Contains SURL and
 * checksum information.
 */
struct SurlPair {
    std::string source;
    std::string destination;
    std::string checksum_algorithm;
    std::string checksum_value;
    // new in db schema 3.4.1
    bool        compare_checksum;
};

} // namespace details
} // namespace urlcopy
} // namespace transfer
} // namespace data
} // namespace glite

#endif //GLITE_DATA_TRANSFER_URL_COPY_URL_SURLPAIR_H_
